Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I need use mod-fastcgi, How i can config with the juju precise apache2 ?

I use :

juju set apache2 enable_modules=fastcgi

return by juju debug-log :

unit-apache2-1: 2014-08-06 01:37:42 INFO config-changed E: Package 'libapache2-mod-fastcgi' has no installation candidate
unit-apache2-1: 2014-08-06 01:37:42 INFO juju-log Installing module fastcgi failed
unit-apache2-1: 2014-08-06 01:37:42 INFO config-changed Module status disabled.
unit-apache2-1: 2014-08-06 01:37:42 INFO config-changed To activate the new configuration, you need to run:
unit-apache2-1: 2014-08-06 01:37:42 INFO config-changed   service apache2 restart
share|improve this question

1 Answer 1

According to apache2 documentation in precise - http://manage.jujucharms.com/charms/precise/apache2, you are calling the command correctly to enable the fastcgi module, but it seems the libapache2-mod-fastcgi cannot be installed.

Can you try juju ssh apache2/1 and then run sudo apt-get update && sudo apt-get upgrade && sudo apt-get install libapache2-mod-fastcgi? This might fix the issue with the package.

If not, you can consider upgrading the charm or using a Trusty machine instead and the trusty version of the charm, as the issue might be fixed in a newer revision of the charm.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.